<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/18/2004 *
 * ===================                          Last change: 04/18/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-admins_edit.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit admin accounts                              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Admin-Account editieren                          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Set selection data to empty array when it is empty
if (!isPostRequestElementSet('sel')) {
	setPostRequestElement('sel', array());
} // END - if

// Check if direct admin account was selected
if (isGetRequestElementSet('admin')) {
	// Secure id number
	$adminId = bigintval(getRequestElement('admin'));

	// Set required fields
	setPostRequestElement('edit', 1);
	setPostRequestElement('sel', array($adminId => 1));
} // END - if

if ((isFormSent('edit')) && (ifPostContainsSelections())) {
	// Edit account(s)
	adminsEditAdminAccount(postRequestArray());
} elseif ((isFormSent('do_edit')) && (count(postRequestElement('login')) > 0)) {
	// Change admin accounts
	adminsChangeAdminAccount(postRequestArray());
} elseif ((isFormSent('delete')) && (ifPostContainsSelections())) {
	// Show admin accounts for deletetion
	adminsDeleteAdminAccount(postRequestArray());
} else {
	if ((isFormSent('do_delete')) && (ifPostContainsSelections())) {
		// Remove accounts now
		adminsRemoveAdminAccount(postRequestArray());
	} // END - if

	// List all admin accounts
	adminsListAdminAccounts();
}

// [EOF]
?>
