<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/12/2011 *
 * ===================                          Last change: 08/12/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_network_api.php                      *
 * -------------------------------------------------------------------- *
 * Short description : API configuration for advertising networks       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : API-Konfiguration zu den Werbenetzwerke          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// By default we should display list/add new forms
$GLOBALS['network_display'] = true;

// Handle form here
doNetworkHandleForm();

// Display forms?
if ($GLOBALS['network_display'] === false) {
	// Abort here
	return;
} // END - if

// Do we have a network selected?
if (isGetRequestElementSet('network')) {
	// Check all networks that doesn't have a configuration entry
	$result = SQL_QUERY_ESC('SELECT
	`network_id`,
	`network_short_name`,
	`network_title`,
	`network_reflink`,
	`network_query_amount`,
	NULL AS `network_affiliate_id`,
	NULL AS `network_api_password`,
	NULL AS `network_site_id`,
	NULL AS `network_api_active`
FROM
	`{?_MYSQL_PREFIX?}_network_data`
WHERE
	`network_id`=%s
LIMIT 1',
		array(
			bigintval(getRequestElement('network'))
		), __FILE__, __LINE__);

	// Do we have an entry?
	if (SQL_NUMROWS($result) == 1) {
		// Load data
		$content = SQL_FETCHARRAY($result);

		// Query for config table
		$result_config = SQL_QUERY_ESC('SELECT
	`network_affiliate_id`,
	`network_api_password`,
	`network_site_id`,
	`network_api_active`
FROM
	`{?_MYSQL_PREFIX?}_network_api_config`
WHERE
	`network_id`=%s
LIMIT 1',
			array(
				bigintval(getRequestElement('network'))
			), __FUNCTION__, __LINE__);

		// Do we have an entry?
		if (SQL_NUMROWS($result_config) == 1) {
			// Load entries
			$content = merge_array($content, SQL_FETCHARRAY($result_config));
		} // END - if

		// Free result
		SQL_FREERESULT($result_config);

		// Load main template
		loadTemplate('admin_config_network_api', false, $content);
	} else {
		// Please setup some networks first
		displayMessage('{--ADMIN_NETWORK_DATA_MISSING--}');
	}

	// Free result
	SQL_FREERESULT($result);
} else {
	// Generate network list for this script
	outputHtml(generateAdminNetworkList());
}

// [EOF]
?>
